IsActiveServlet (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.http, class: IsActiveServlet

Package org.apache.hadoop.http

# Class IsActiveServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.hadoop.http.IsActiveServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public abstract class IsActiveServlet extends javax.servlet.http.HttpServlet
Used by Load Balancers to detect the active NameNode/ResourceManager/Router.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PATH_SPEC`
  `static final String`
  `RESPONSE_ACTIVE`
  `static final String`
  `RESPONSE_NOT_ACTIVE`
  `static final String`
  `SERVLET_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IsActiveServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
  Check whether this instance is the Active one.
  `protected abstract boolean`
  `isActive()`

  ### Methods inherited from class javax.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

  ### Methods inherited from class javax.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SERVLET_NAME

    public static final String SERVLET_NAME
    See Also:
      - Constant Field Values

  - ### PATH_SPEC

    public static final String PATH_SPEC
    See Also:
      - Constant Field Values

  - ### RESPONSE_ACTIVE

    public static final String RESPONSE_ACTIVE
    See Also:
      - Constant Field Values

  - ### RESPONSE_NOT_ACTIVE

    public static final String RESPONSE_NOT_ACTIVE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IsActiveServlet

    public IsActiveServlet()

- ## Method Details

  - ### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp) throws IOException
    Check whether this instance is the Active one.
    Overrides:
      `doGet` in class `javax.servlet.http.HttpServlet`
    Parameters:
      `req` - HTTP request
      `resp` - HTTP response to write to
    Throws:
      `IOException`

  - ### isActive

    protected abstract boolean isActive()
    Returns:
      true if this instance is in Active HA state.